Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361796 - SELinux is preventing perl from 'write' accesses on the directory web2c.
Summary: SELinux is preventing perl from 'write' accesses on the directory web2c.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0e53d845a0b93b13dcd7f87ee02...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-30 15:23 UTC by Fernando
Modified: 2017-07-29 14:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-29 14:23:17 UTC


Attachments (Terms of Use)

Description Fernando 2016-07-30 15:23:45 UTC
Description of problem:
This alert is starting to appear too often. I first noticed it when opening Gnome Software. It still shows up as soon as I open it. This is so far the only sure way of reproducing it I've found, but it's certianly happened some times with Gnome Software not running.
SELinux is preventing perl from 'write' accesses on the directory web2c.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that perl should be allowed write access on the web2c directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'perl' --raw | audit2allow -M my-perl
# semodule -X 300 -i my-perl.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                web2c [ dir ]
Source                        perl
Source Path                   perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.4-301.fc24.x86_64 #1 SMP Tue
                              Jul 12 11:50:00 UTC 2016 x86_64 x86_64
Alert Count                   250
First Seen                    2016-07-30 09:03:34 CEST
Last Seen                     2016-07-30 16:04:36 CEST
Local ID                      f34582a0-5104-447e-a0ee-b742bc1ff778

Raw Audit Messages
type=AVC msg=audit(1469887476.805:734): avc:  denied  { write } for  pid=29636 comm="perl" name="web2c" dev="dm-2" ino=13762899 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir permissive=0


Hash: perl,thumb_t,user_home_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
type:           libreport

Comment 1 Fernando 2016-07-30 15:39:53 UTC
It also shows up when searching the dash (just checked).

Comment 2 Fernando 2016-07-30 15:41:07 UTC
Sorry, I meant the Gnome Shell, when searching the shell.

Comment 3 Fernando 2016-08-01 14:01:26 UTC
Ok, eventual readers. I've kept on testing. If I uncheck documents in desktop search options, there's no more alerts. This is kind of bad for me, because I use this functionality a lot.

Comment 4 Fernando 2016-08-01 22:36:52 UTC
Alerts again. With document search disabled. When searching in Files (Nautilus).

Comment 5 Fedora Admin XMLRPC Client 2016-09-27 15:11:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora End Of Life 2017-07-25 22:09:03 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fernando 2017-07-29 14:23:17 UTC
Can't reproduce in F26.


Note You need to log in before you can comment on or make changes to this bug.